API DocumentationSpecifications

Add metadata to a specification

POST
/api/manufacturer/v1/part-specification/{partSpecificationId}/metadata

Adds a new metadata entry (key/value pair) to a specification. Keys must be unique per specification.

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

partSpecificationId*string

ID of the specification to add metadata to

Formatuuid

Request Body

application/json
  1. body
metadataKey*string
Length0 <= length <= 255
value*string

Response Body

Metadata added successfully

application/json
  1. response
id*string
Formatuuid
metadataKey*string
value*string
createdBy?
updatedBy?
createdAt*string
Formatdate-time
updatedAt*string
Formatdate-time
curl -X POST 'https://m-api.eu.phas.io/api/manufacturer/v1/part-specification/497f6eca-6276-4993-bfeb-53cbbbba6f08/metadata' \  -H 'Content-Type: application/json' \  -d '{  "metadataKey": "string",  "value": "string"}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "metadataKey": "string",  "value": "string",  "createdBy": {    "email": "string",    "firstName": "string",    "lastName": "string"  },  "updatedBy": {    "email": "string",    "firstName": "string",    "lastName": "string"  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}